> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangopay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# View a Preauthorization

### Path parameters

<ParamField path="PreauthorizationId" type="string" required>
  The unique identifier of the preauthorization.
</ParamField>

### Responses

<AccordionGroup>
  <Accordion title="200 - Response parameters">
    <ResponseField name="Id" type="string">
      Max. length: 255 characters

      The unique identifier of the preauthorization.
    </ResponseField>

    <ResponseField name="Tag" type="string">
      Max. length: 255 characters

      Custom data that you can add to this object.\
      For preauthorizations, you can use this parameter to identify corresponding information regarding the user or transaction on your platform.
    </ResponseField>

    <ResponseField name="CreationDate" type="Unix timestamp">
      The date and time at which the object was created.
    </ResponseField>

    <ResponseField name="AuthorId" type="string">
      The unique identifier of the user at the source of the transaction.
    </ResponseField>

    <ResponseField name="DebitedFunds" type="object">
      Information about the preauthorized funds.

      <Expandable title="properties">
        <ResponseField name="Currency" type="string">
          **Returned values:** The three-letter <a href="/api-reference/overview/data-formats" target="_blank">ISO 4217 code</a> (EUR, GBP, etc.) of a <a href="/guides/currencies" target="_blank">supported currency</a> (depends on feature, contract, and activation settings).

          The currency of the preauthorized funds.
        </ResponseField>

        <ResponseField name="Amount" type="integer">
          An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`).
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="RemainingFunds" type="object">
      Information about the remaining preauthorized funds.

      <Expandable title="properties">
        <ResponseField name="Currency" type="string">
          **Returned values:** The three-letter <a href="/api-reference/overview/data-formats" target="_blank">ISO 4217 code</a> (EUR, GBP, etc.) of a <a href="/guides/currencies" target="_blank">supported currency</a> (depends on feature, contract, and activation settings).

          The currency of the preauthorized funds.
        </ResponseField>

        <ResponseField name="Amount" type="integer">
          An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`).
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="AuthorizationDate" type="Unix timestamp">
      The date and time at which successful authorization occurred. If authorization failed, the value is `null`.
    </ResponseField>

    <ResponseField name="Status" type="string">
      **Returned values:** `CREATED`, `SUCCEEDED`, `FAILED`

      The status of the authorization.
    </ResponseField>

    <ResponseField name="PaymentStatus" type="string">
      **Returned values:** `WAITING`, `CANCELED`, `EXPIRED`, `VALIDATED`

      The status of the preauthorization object:

      * `WAITING` – The remaining preauthorized funds can be captured by making one or several preauthorized pay-ins. Pay-ins can only be made against a preauthorization with the `WAITING` status.
      * `CANCELED` – The preauthorization was canceled manually before any preauthorized pay-ins were made, or it was canceled automatically because the authorization failed.
      * `EXPIRED` – The hold period on the preauthorized funds has ended without any preauthorized pay-ins taking place.
      * `VALIDATED` – During the hold period: Indicates that all the preauthorized funds have been captured (`RemainingFunds` is zero) and no more preauthorized pay-ins can be made. After the hold period: Indicates that at least one capture was made during the hold period.
    </ResponseField>

    <ResponseField name="ExpirationDate" type="Unix timestamp">
      The date and time at which the hold period ends and the preauthorized funds are released.\
      At the expiration date, the preauthorization’s `PaymentStatus` changes to `EXPIRED` if no captures were made or `VALIDATED` if at least one capture was made.
    </ResponseField>

    <ResponseField name="PayInId" type="string">
      The unique identifier of the pay-in.
    </ResponseField>

    <ResponseField name="ResultCode" type="string">
      The code indicating the result of the operation. This information is mostly used to <a href="/errors/codes">handle errors</a> or for filtering purposes.
    </ResponseField>

    <ResponseField name="ResultMessage" type="string">
      The explanation of the result code.
    </ResponseField>

    <ResponseField name="SecureMode" type="string">
      **Returned values:** `DEFAULT`, `FORCE`, `NO_CHOICE`

      The mode applied for the 3DS2 protocol for CB, Visa, and Mastercard. The options are:

      * `DEFAULT` – Requests an exemption to strong customer authentication (SCA), and thus a frictionless payment experience, if allowed by your Mangopay contract and accepted by the issuer.
      * `FORCE` – Requests SCA.
      * `NO_CHOICE` – Leaves the choice to the issuer whether to allow for a frictionless payment experience or to enforce SCA.
    </ResponseField>

    <ResponseField name="CardId" type="string">
      The unique identifier of the Card object, obtained during the card registration process.
    </ResponseField>

    <ResponseField name="SecureModeReturnURL" type="string">
      Max. length: 255 characters

      The URL to which users are automatically returned after 3DS2 if it is triggered (i.e., if the `SecureModeNeeded` parameter is set to `true`).
    </ResponseField>

    <ResponseField name="SecureModeRedirectURL" type="string">
      Max. length: 255 characters

      The URL to which to redirect the user to proceed to 3DS2 validation.
    </ResponseField>

    <ResponseField name="SecureModeNeeded" type="boolean">
      Whether or not the `SecureMode` was used.
    </ResponseField>

    <ResponseField name="PaymentType" type="string">
      **Returned values:** `CARD`, `DIRECT_DEBIT`, `PREAUTHORIZED`, `BANK_WIRE`

      The type of pay-in.
    </ResponseField>

    <ResponseField name="ExecutionType" type="string">
      **Returned values:** `WEB`, `DIRECT`, `EXTERNAL_INSTRUCTION`

      The type of execution for the pay-in.
    </ResponseField>

    <ResponseField name="StatementDescriptor" type="string">
      Max. length: 10 characters; only alphanumeric and spaces

      Custom description to appear on the user’s bank statement along with the platform name. Different banks may show more or less information. See the <a href="/bank-statements">Customizing bank statement references</a> article for details.
    </ResponseField>

    <ResponseField name="Culture" type="string">
      **Returned values:** One of the supported languages in the <a href="/api-reference/overview/data-formats">ISO 639-1 format</a>: DE, EN, ES, FR, IT, NL, PL, PT.

      The language in which the payment page is to be displayed.
    </ResponseField>

    <ResponseField name="SecurityInfo" type="object">
      Information regarding security and anti-fraud tools.

      <Expandable title="properties">
        <ResponseField name="AVSResult" type="string">
          The result of the Address Verification System check (only available for UK, US, and Canada).
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="MultiCapture" type="boolean">
      **Default value:** true

      Whether multiple captures are activated for the preauthorization.
    </ResponseField>

    <ResponseField name="BrowserInfo" type="object">
      Information about the browser used by the end user (author) to perform the payment.

      <Expandable title="properties">
        <ResponseField name="AcceptHeader" type="string">
          The exact content of the HTTP accept headers as sent to the platform from the end user’s browser.
        </ResponseField>

        <ResponseField name="JavaEnabled" type="boolean">
          Whether or not the end user’s browser has the ability to execute Java.
        </ResponseField>

        <ResponseField name="Language" type="string">
          Format: Two-letter language code (ISO 639-1 alpha-2) followed by two-letter country code (ISO 3166-1 alpha-2), separated by a hyphen (example: `en-US`; pattern:`^[a-zA-Z]{2}(-[a-zA-Z]{2})?$`)

          The language of the browser.
        </ResponseField>

        <ResponseField name="ColorDepth" type="integer">
          The value representing the depth of the screen’s color palette for displaying images, in bits per pixel.
        </ResponseField>

        <ResponseField name="ScreenHeight" type="integer">
          Max. length: 6 characters

          The height of the screen in pixels.
        </ResponseField>

        <ResponseField name="ScreenWidth" type="integer">
          Max. length: 6 characters

          The width of the screen in pixels.
        </ResponseField>

        <ResponseField name="TimeZoneOffset" type="integer">
          The difference in minutes between the browser’s timezone and UTC.
        </ResponseField>

        <ResponseField name="UserAgent" type="string">
          Max. length: 255 characters

          The exact content of the HTTP User-Agent header.
        </ResponseField>

        <ResponseField name="JavascriptEnabled" type="boolean">
          Whether or not the end user’s browser has the ability to execute JavaScript.
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="IpAddress" type="string">
      The IP address of the end user initiating the transaction, in IPV4 or IPV6 format.
    </ResponseField>

    <ResponseField name="Billing" type="object">
      **Default value:** FirstName, LastName, and Address information of the Shipping object if any, otherwise the user (author).

      Information about the end user billing address. If left empty, the default values will be automatically taken into account.

      <Expandable title="properties">
        <ResponseField name="FirstName" type="string">
          The first name of the user.
        </ResponseField>

        <ResponseField name="LastName" type="string">
          Max. length: 100 characters

          The last name of the user.
        </ResponseField>

        <ResponseField name="Address" type="object">
          Information about the billing address.

          <Expandable title="properties">
            <ResponseField name="AddressLine1" type="string">
              Max. length: 255 characters

              The first line of the address.
            </ResponseField>

            <ResponseField name="AddressLine2" type="string">
              Max. length: 255 characters

              The second line of the address.
            </ResponseField>

            <ResponseField name="City" type="string">
              Max. length: 255 characters

              The city of the address.
            </ResponseField>

            <ResponseField name="Region" type="string">
              Max. length: 255 characters

              The region of the address. This field is optional except if the `Country` is US, CA, or MX.
            </ResponseField>

            <ResponseField name="PostalCode" type="string">
              Max. length: 255 characters

              The postal code of the address. The postal code can contain the following characters: alphanumeric, dashes, and spaces.
            </ResponseField>

            <ResponseField name="Country" type="string">
              Format: Two-letter country code ([ISO 3166-1 alpha-2 format](/api-reference/overview/data-formats))

              The country of the address.
            </ResponseField>
          </Expandable>
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="Shipping" type="object">
      **Default value:** FirstName, LastName, and Address information of the Billing object, if supplied, otherwise of the user (author).

      Information about the end user’s shipping address. If left empty, the default values will be automatically taken into account.

      <Expandable title="properties">
        <ResponseField name="FirstName" type="string">
          The first name of the user.
        </ResponseField>

        <ResponseField name="LastName" type="string">
          Max. length: 100 characters

          The last name of the user.
        </ResponseField>

        <ResponseField name="Address" type="object">
          Information about the shipping address.

          <Expandable title="properties">
            <ResponseField name="AddressLine1" type="string">
              Max. length: 255 characters

              The first line of the address.
            </ResponseField>

            <ResponseField name="AddressLine2" type="string">
              Max. length: 255 characters

              The second line of the address.
            </ResponseField>

            <ResponseField name="City" type="string">
              Max. length: 255 characters

              The city of the address.
            </ResponseField>

            <ResponseField name="Region" type="string">
              Max. length: 255 characters

              The region of the address. This field is optional except if the `Country` is US, CA, or MX.
            </ResponseField>

            <ResponseField name="PostalCode" type="string">
              Max. length: 255 characters

              The postal code of the address. The postal code can contain the following characters: alphanumeric, dashes, and spaces.
            </ResponseField>

            <ResponseField name="Country" type="string">
              Format: Two-letter country code ([ISO 3166-1 alpha-2 format](/api-reference/overview/data-formats))

              The country of the address.
            </ResponseField>
          </Expandable>
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="Requested3DSVersion" type="string">
      **Returned values:** `V1`, `V2_1`

      The 3DS protocol version to be applied to the transaction.
    </ResponseField>

    <ResponseField name="Applied3DSVersion" type="string | null">
      **Returned values:** `V1`, `V2_1`

      The 3DS protocol version applied to the transaction.
    </ResponseField>

    <ResponseField name="PreferredCardNetwork" type="string">
      **Returned values:** `VISA`, `MASTERCARD`, `CB`, `MAESTRO`

      The card network to use, as chosen by the cardholder, in case of <a href="/guides/payment-methods/card/co-branded">co-branded cards</a>.
    </ResponseField>

    <ResponseField name="PaymentCategory" type="string">
      **Default value:** `ECommerce`

      **Allowed values:** `ECommerce`, `TelephoneOrder`

      The channel through which the user provided their card details, used to indicate mail-order and telephone-order (MOTO) payments:

      * `ECommerce` – Payment received online.
      * `TelephoneOrder` – Payment received via mail order or telephone order (MOTO).
    </ResponseField>

    <ResponseField name="CardInfo" type="string">
      Information about the card used for the transaction.

      If the information or data is not available, `null` is returned.

      <Expandable title="properties">
        <ResponseField name="BIN" type="string">
          The 6-digit bank identification number (BIN) of the card issuer.
        </ResponseField>

        <ResponseField name="IssuingBank" type="string">
          The name of the card issuer.
        </ResponseField>

        <ResponseField name="IssuerCountryCode" type="string">
          Format: Two-letter country code ([ISO 3166-1 alpha-2 format](/api-reference/overview/data-formats))

          The country where the card was issued.
        </ResponseField>

        <ResponseField name="Type" type="string">
          **Returned values:** `DEBIT`, `CREDIT`, `CHARGE CARD`.

          The type of card product.
        </ResponseField>

        <ResponseField name="Brand" type="string">
          The card brand. Examples include: `AMERICAN EXPRESS`, `DISCOVER`, `JCB`, `MASTERCARD`, `VISA`, etc.

          **Note:** The possible returned values are numerous and liable to evolve over time.
        </ResponseField>

        <ResponseField name="SubType" type="string">
          The subtype of the card product. Examples include: `CLASSIC`, `GOLD`, `PLATINUM`, `PREPAID`, etc.

          **Note:** The possible returned values are numerous and liable to evolve over time.
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="AuthenticationResult" type="object | null" defaultOpen>
      Information about the authentication result, based on the request made by Mangopay and the decision of the issuer regarding the type of authentication to be enforced (if applicable).

      <Expandable title="properties">
        <ResponseField name="AuthenticationType" type="string | null">
          Response values: `CHALLENGE`, `FRICTIONLESS`, `DIRECT_AUTHORIZATION`

          The type of authentication:

          * `CHALLENGE` – The issuer requested SCA to be enforced (for example, using 3DS).
          * `FRICTIONLESS` – The transaction was exempted from SCA because an exemption was granted by the issuer.
          * `DIRECT_AUTHORIZATION` – The transaction was sent to the issuer for authorization without any frictionless or challenge (for example, if SCA doesn't apply).

          A `null` value typically indicates that authentication was not requested (for example, because the request failed before being sent) or a decision was not received.
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Accordion>
</AccordionGroup>

<ResponseExample>
  ```json 200 - Before capture   theme={null}
  {
      "Id": "preauth_wt_6e2db88b-eed3-4d76-982d-f99edc17dede",
      "Tag": "Created using Mangopay API Postman Collection",
      "CreationDate": 1771584417,
      "AuthorId": "user_m_01KHRMAQT1ZPVBWK2KYM6S0N7M",
      "DebitedFunds": {
          "Currency": "EUR",
          "Amount": 10000
      },
      "RemainingFunds": {
          "Currency": "EUR",
          "Amount": 10000
      },
      "AuthorizationDate": 1771584434,
      "Status": "SUCCEEDED",
      "PaymentStatus": "WAITING",
      "ExpirationDate": 1772146034,
      "PayInId": null,
      "ResultCode": "000000",
      "ResultMessage": "Success",
      "SecureMode": "DEFAULT",
      "CardId": "card_wt_kLbkQOJbzUhMZmxG",
      "SecureModeReturnURL": "http://example.com?preAuthorizationId=preauth_wt_6e2db88b-eed3-4d76-982d-f99edc17dede",
      "SecureModeRedirectURL": null,
      "SecureModeNeeded": true,
      "PaymentType": "CARD",
      "ExecutionType": "DIRECT",
      "StatementDescriptor": null,
      "Culture": "EN",
      "SecurityInfo": {
          "AVSResult": "NO_CHECK"
      },
      "MultiCapture": true,
      "BrowserInfo": {
          "AcceptHeader": "text/html, application/xhtml+xml, application/xml;q=0.9, /;q=0.8",
          "JavaEnabled": true,
          "Language": "FR-FR",
          "ColorDepth": 4,
          "ScreenHeight": 1800,
          "ScreenWidth": 400,
          "TimeZoneOffset": 60,
          "UserAgent": "Mozilla/5.0 (iPhone; CPU iPhone OS 13_6_1 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Mobile/15E148",
          "JavascriptEnabled": true
      },
      "IpAddress": "854f:1b03:7d1b:bfbf:e1f0:b1f3:3810:c5ac",
      "Billing": {
          "FirstName": "Alex",
          "LastName": "Smith",
          "Address": {
              "AddressLine1": "6 rue de la Cité",
              "AddressLine2": "Appartement 3",
              "City": "Paris",
              "Region": "Ile-de-France",
              "PostalCode": "75001",
              "Country": "FR"
          }
      },
      "Shipping": {
          "FirstName": "Alex",
          "LastName": "Smith",
          "Address": {
              "AddressLine1": "6 rue de la Cité",
              "AddressLine2": "Appartement 3",
              "City": "Paris",
              "Region": "Ile-de-France",
              "PostalCode": "75001",
              "Country": "FR"
          }
      },
      "Requested3DSVersion": null,
      "Applied3DSVersion": "V2_1",
      "PreferredCardNetwork": null,
      "PaymentCategory": "ECommerce",
      "AuthenticationResult": {
          "AuthenticationType": "CHALLENGE"
      },
      "CardInfo": {
          "BIN": "497010",
          "IssuingBank": "LA BANQUE POSTALE",
          "IssuerCountryCode": "MA",
          "Type": "CREDIT",
          "SubType": null,
          "Brand": "VISA"
      }
  }
  ```

  ```json 200 - After first capture   theme={null}
  {
      "Id": "preauth_m_01HYG88W1QWJNNBGJJG0KQGX42",
      "Tag": "Created using Mangopay API Postman Collection",
      "CreationDate": 1716384985,
      "AuthorId": "user_m_01HSDQD2RPPQ8NMM36EDGYBMEY",
      "DebitedFunds": {
          "Currency": "EUR",
          "Amount": 10000
      },
      "RemainingFunds": {
          "Currency": "EUR",
          "Amount": 8000
      },
      "AuthorizationDate": 1716385002,
      "Status": "SUCCEEDED",
      "PaymentStatus": "WAITING",
      "ExpirationDate": 1716946602,
      "PayInId": "payin_m_01HYG8DRT5FHT1FV44MV9KR1BS",
      "ResultCode": "000000",
      "ResultMessage": "Success",
      "SecureMode": "DEFAULT",
      "CardId": "card_m_01HW8BJ2MS5PBV5EB1ZQG5E8T9",
      "SecureModeReturnURL": "http://example.com?preAuthorizationId=preauth_m_01HYG88W1QWJNNBGJJG0KQGX42",
      "SecureModeRedirectURL": null,
      "SecureModeNeeded": true,
      "PaymentType": "CARD",
      "ExecutionType": "DIRECT",
      "StatementDescriptor": null,
      "Culture": "EN",
      "SecurityInfo": {
          "AVSResult": "NO_CHECK"
      },
      "MultiCapture": true,
      "BrowserInfo": {
          "AcceptHeader": "text/html, application/xhtml+xml, application/xml;q=0.9, /;q=0.8",
          "JavaEnabled": true,
          "Language": "FR-FR",
          "ColorDepth": 4,
          "ScreenHeight": 1800,
          "ScreenWidth": 400,
          "TimeZoneOffset": 60,
          "UserAgent": "Mozilla/5.0 (iPhone; CPU iPhone OS 13_6_1 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Mobile/15E148",
          "JavascriptEnabled": true
      },
      "IpAddress": "5bc6:3672:3bef:2eb5:e707:2a98:5494:b861",
      "Billing": {
          "FirstName": "Alex",
          "LastName": "Smith",
          "Address": {
              "AddressLine1": "6 rue de la Cité",
              "AddressLine2": "Appartement 3",
              "City": "Paris",
              "Region": "Île-de-France",
              "PostalCode": "75004",
              "Country": "FR"
          }
      },
      "Shipping": {
          "FirstName": "Alex",
          "LastName": "Smith",
          "Address": {
              "AddressLine1": "6 rue de la Cité",
              "AddressLine2": "Appartement 3",
              "City": "Paris",
              "Region": "Île-de-France",
              "PostalCode": "75004",
              "Country": "FR"
          }
      },
      "Requested3DSVersion": null,
      "Applied3DSVersion": null,
      "PreferredCardNetwork": null,
      "PaymentCategory": "ECommerce",
      "AuthenticationResult": {
          "AuthenticationType": "CHALLENGE"
      },
      "CardInfo": {
          "BIN": "497010",
          "IssuingBank": "LA BANQUE POSTALE",
          "IssuerCountryCode": "MA",
          "Type": "CREDIT",
          "Brand": "VISA",
          "SubType": null
      }
  }
  ```

  ```json 200 - After second capture   theme={null}
  {
      "Id": "preauth_m_01HYG88W1QWJNNBGJJG0KQGX42",
      "Tag": "Created using Mangopay API Postman Collection",
      "CreationDate": 1716384985,
      "AuthorId": "user_m_01HSDQD2RPPQ8NMM36EDGYBMEY",
      "DebitedFunds": {
          "Currency": "EUR",
          "Amount": 10000
      },
      "RemainingFunds": {
          "Currency": "EUR",
          "Amount": 6000
      },
      "AuthorizationDate": 1716385002,
      "Status": "SUCCEEDED",
      "PaymentStatus": "WAITING",
      "ExpirationDate": 1716946602,
      "PayInId": "payin_m_01HYG8DRT5FHT1FV44MV9KR1BS",
      "ResultCode": "000000",
      "ResultMessage": "Success",
      "SecureMode": "DEFAULT",
      "CardId": "card_m_01HW8BJ2MS5PBV5EB1ZQG5E8T9",
      "SecureModeReturnURL": "http://example.com?preAuthorizationId=preauth_m_01HYG88W1QWJNNBGJJG0KQGX42",
      "SecureModeRedirectURL": null,
      "SecureModeNeeded": true,
      "PaymentType": "CARD",
      "ExecutionType": "DIRECT",
      "StatementDescriptor": null,
      "Culture": "EN",
      "SecurityInfo": {
          "AVSResult": "NO_CHECK"
      },
      "MultiCapture": true,
      "BrowserInfo": {
          "AcceptHeader": "text/html, application/xhtml+xml, application/xml;q=0.9, /;q=0.8",
          "JavaEnabled": true,
          "Language": "FR-FR",
          "ColorDepth": 4,
          "ScreenHeight": 1800,
          "ScreenWidth": 400,
          "TimeZoneOffset": 60,
          "UserAgent": "Mozilla/5.0 (iPhone; CPU iPhone OS 13_6_1 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Mobile/15E148",
          "JavascriptEnabled": true
      },
      "IpAddress": "5bc6:3672:3bef:2eb5:e707:2a98:5494:b861",
      "Billing": {
          "FirstName": "Alex",
          "LastName": "Smith",
          "Address": {
              "AddressLine1": "6 rue de la Cité",
              "AddressLine2": "Appartement 3",
              "City": "Paris",
              "Region": "Île-de-France",
              "PostalCode": "75004",
              "Country": "FR"
          }
      },
      "Shipping": {
          "FirstName": "Alex",
          "LastName": "Smith",
          "Address": {
              "AddressLine1": "6 rue de la Cité",
              "AddressLine2": "Appartement 3",
              "City": "Paris",
              "Region": "Île-de-France",
              "PostalCode": "75004",
              "Country": "FR"
          }
      },
      "Requested3DSVersion": null,
      "Applied3DSVersion": null,
      "PreferredCardNetwork": null,
      "PaymentCategory": "ECommerce",
      "AuthenticationResult": {
          "AuthenticationType": "CHALLENGE"
      },
      "CardInfo": {
          "BIN": "497010",
          "IssuingBank": "LA BANQUE POSTALE",
          "IssuerCountryCode": "MA",
          "Type": "CREDIT",
          "Brand": "VISA",
          "SubType": null
      }
  }
  ```

  ```json 200 - Remaining funds captured   theme={null}
  {
      "Id": "preauth_m_01HYG88W1QWJNNBGJJG0KQGX42",
      "Tag": "Created using Mangopay API Postman Collection",
      "CreationDate": 1716384985,
      "AuthorId": "user_m_01HSDQD2RPPQ8NMM36EDGYBMEY",
      "DebitedFunds": {
          "Currency": "EUR",
          "Amount": 10000
      },
      "RemainingFunds": {
          "Currency": "EUR",
          "Amount": 0
      },
      "AuthorizationDate": 1716385002,
      "Status": "SUCCEEDED",
      "PaymentStatus": "VALIDATED",
      "ExpirationDate": 1716946602,
      "PayInId": "payin_m_01HYG8DRT5FHT1FV44MV9KR1BS",
      "ResultCode": "000000",
      "ResultMessage": "Success",
      "SecureMode": "DEFAULT",
      "CardId": "card_m_01HW8BJ2MS5PBV5EB1ZQG5E8T9",
      "SecureModeReturnURL": "http://example.com?preAuthorizationId=preauth_m_01HYG88W1QWJNNBGJJG0KQGX42",
      "SecureModeRedirectURL": null,
      "SecureModeNeeded": true,
      "PaymentType": "CARD",
      "ExecutionType": "DIRECT",
      "StatementDescriptor": null,
      "Culture": "EN",
      "SecurityInfo": {
          "AVSResult": "NO_CHECK"
      },
      "MultiCapture": true,
      "BrowserInfo": {
          "AcceptHeader": "text/html, application/xhtml+xml, application/xml;q=0.9, /;q=0.8",
          "JavaEnabled": true,
          "Language": "FR-FR",
          "ColorDepth": 4,
          "ScreenHeight": 1800,
          "ScreenWidth": 400,
          "TimeZoneOffset": 60,
          "UserAgent": "Mozilla/5.0 (iPhone; CPU iPhone OS 13_6_1 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Mobile/15E148",
          "JavascriptEnabled": true
      },
      "IpAddress": "5bc6:3672:3bef:2eb5:e707:2a98:5494:b861",
      "Billing": {
          "FirstName": "Alex",
          "LastName": "Smith",
          "Address": {
              "AddressLine1": "6 rue de la Cité",
              "AddressLine2": "Appartement 3",
              "City": "Paris",
              "Region": "Île-de-France",
              "PostalCode": "75004",
              "Country": "FR"
          }
      },
      "Shipping": {
          "FirstName": "Alex",
          "LastName": "Smith",
          "Address": {
              "AddressLine1": "6 rue de la Cité",
              "AddressLine2": "Appartement 3",
              "City": "Paris",
              "Region": "Île-de-France",
              "PostalCode": "75004",
              "Country": "FR"
          }
      },
      "Requested3DSVersion": null,
      "Applied3DSVersion": null,
      "PreferredCardNetwork": null,
      "PaymentCategory": "ECommerce",
      "AuthenticationResult": {
          "AuthenticationType": "CHALLENGE"
      },
      "CardInfo": {
          "BIN": "497010",
          "IssuingBank": "LA BANQUE POSTALE",
          "IssuerCountryCode": "MA",
          "Type": "CREDIT",
          "Brand": "VISA",
          "SubType": null
      }
  }
  ```

  ```json 200 - Authorization failed   theme={null}
  {
      "Id": "preauth_m_01HYG8S96P7P37GRKTG8RSTQK7",
      "Tag": "Created using Mangopay API Postman Collection",
      "CreationDate": 1716385523,
      "AuthorId": "user_m_01HSDQD2RPPQ8NMM36EDGYBMEY",
      "DebitedFunds": {
          "Currency": "EUR",
          "Amount": 10000
      },
      "RemainingFunds": {
          "Currency": "EUR",
          "Amount": 0
      },
      "AuthorizationDate": null,
      "Status": "FAILED",
      "PaymentStatus": "CANCELED",
      "ExpirationDate": null,
      "PayInId": null,
      "ResultCode": "101301",
      "ResultMessage": "Secure mode: The 3DSecure authentication has failed",
      "SecureMode": "DEFAULT",
      "CardId": "card_m_01HW8BJ2MS5PBV5EB1ZQG5E8T9",
      "SecureModeReturnURL": "http://example.com?preAuthorizationId=preauth_m_01HYG8S96P7P37GRKTG8RSTQK7",
      "SecureModeRedirectURL": null,
      "SecureModeNeeded": true,
      "PaymentType": "CARD",
      "ExecutionType": "DIRECT",
      "StatementDescriptor": null,
      "Culture": "EN",
      "SecurityInfo": {
          "AVSResult": "NO_CHECK"
      },
      "MultiCapture": true,
      "BrowserInfo": {
          "AcceptHeader": "text/html, application/xhtml+xml, application/xml;q=0.9, /;q=0.8",
          "JavaEnabled": true,
          "Language": "FR-FR",
          "ColorDepth": 4,
          "ScreenHeight": 1800,
          "ScreenWidth": 400,
          "TimeZoneOffset": 60,
          "UserAgent": "Mozilla/5.0 (iPhone; CPU iPhone OS 13_6_1 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Mobile/15E148",
          "JavascriptEnabled": true
      },
      "IpAddress": "dbb7:6c85:8ce4:5f02:c670:1acc:9014:5691",
      "Billing": {
          "FirstName": "Alex",
          "LastName": "Smith",
          "Address": {
              "AddressLine1": "6 rue de la Cité",
              "AddressLine2": "Appartement 3",
              "City": "Paris",
              "Region": "Île-de-France",
              "PostalCode": "75004",
              "Country": "FR"
          }
      },
      "Shipping": {
          "FirstName": "Alex",
          "LastName": "Smith",
          "Address": {
              "AddressLine1": "6 rue de la Cité",
              "AddressLine2": "Appartement 3",
              "City": "Paris",
              "Region": "Île-de-France",
              "PostalCode": "75004",
              "Country": "FR"
          }
      },
      "Requested3DSVersion": null,
      "Applied3DSVersion": null,
      "PreferredCardNetwork": null,
      "PaymentCategory": "ECommerce",
      "AuthenticationResult": {
          "AuthenticationType": "CHALLENGE"
      },
      "CardInfo": {
          "BIN": "497010",
          "IssuingBank": "LA BANQUE POSTALE",
          "IssuerCountryCode": "MA",
          "Type": "CREDIT",
          "Brand": "VISA",
          "SubType": null
      }
  }
  ```
</ResponseExample>

<RequestExample>
  ```php PHP theme={null}
  <?php 

  require_once 'vendor/autoload.php';

  use MangoPay\MangoPayApi;
  use MangoPay\Libraries\ResponseException as MGPResponseException;
  use MangoPay\Libraries\Exception as MGPException;

  $api = new MangoPayApi();

  $api->Config->ClientId = 'your-client-id';
  $api->Config->ClientPassword = 'your-api-key';
  $api->Config->TemporaryFolder = 'tmp/';

  try {
      $preauthId = 'preauth_m_01JH0PDQS1WT444DJE8VB7F848';

      $response = $api->CardPreAuthorizations->Get($preauthId);

      print_r($response);
  } catch(MGPResponseException $e) {
      print_r($e);
  } catch(MGPException $e) {
      print_r($e);
  }  
  ```

  ```javascript NodeJS   theme={null}
  const mangopayInstance = require('mangopay4-nodejs-sdk')
  const mangopay = new mangopayInstance({
      clientId: 'your-client-id',
      clientApiKey: 'your-api-key',
  })

  let myPreauthorization = {
    Id: '169687442',
  }

  const viewPreauthorization = async (preauthorizationId) => {
    return await mangopay.CardPreAuthorizations.get(preauthorizationId)
      .then((response) => {
        console.info(response)
        return response
      })
      .catch((err) => {
        console.log(err)
        return false
      })
  }

  viewPreauthorization(myPreauthorization.Id)  
  ```

  ```ruby Ruby   theme={null}
  require 'mangopay'

  MangoPay.configure do |client|
      client.preproduction = true
      client.client_id = 'your-client-id'
      client.client_apiKey = 'your-api-key'
      client.log_file = File.join(Dir.pwd, 'mangopay.log')
  end

  def viewPreauthorization(preauthorizationId)
      begin
          response = MangoPay::PreAuthorization.fetch(preauthorizationId)
          puts response
          return response
      rescue MangoPay::ResponseError => error
          puts "Failed to fetch preauthorization: #{error.message}"
          puts "Error details: #{error.details}"
          return false
      end
  end

  myPreauthorization = {
      Id:'195059241'
  }

  viewPreauthorization(myPreauthorization[:Id])  
  ```

  ```java Java  theme={null}
  import com.google.gson.Gson;
  import com.google.gson.GsonBuilder;
  import com.mangopay.MangoPayApi;
  import com.mangopay.entities.CardPreAuthorization;

  public class ViewPreauthorization {
      public static void main(String[] args) throws Exception {
          MangoPayApi mangopay = new MangoPayApi();
          mangopay.getConfig().setClientId("your-client-id");
          mangopay.getConfig().setClientPassword("your-api-key");

          var preauthId = "preauth_m_01J1Z3AD7VQKRXS67B5CR733T7";

          CardPreAuthorization viewCardValidation = mangopay.getCardPreAuthorizationApi().get(preauthId);

          Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
          String prettyJson = prettyPrint.toJson(viewCardValidation);

          System.out.println(prettyJson);
      }
  }
  ```

  ```python Python   theme={null}
  from pprint import pprint
  import mangopay

  mangopay.client_id='your-client-id'
  mangopay.apikey='your-api-key'

  from mangopay.api import APIRequest
  handler = APIRequest(sandbox=True)

  from mangopay.resources import PreAuthorization

  card_preauthorization = PreAuthorization(
      id = '213944840'
  )


  try:
      view_card_preauthorization = PreAuthorization.get(card_preauthorization.id) 
      pprint(vars(view_card_preauthorization))
      pprint(vars(view_card_preauthorization.billing))
      pprint(vars(view_card_preauthorization.browser_info))
      pprint(vars(view_card_preauthorization.security_info))
      pprint(vars(view_card_preauthorization.shipping))
  except PreAuthorization.DoesNotExist:
      print('The PreAuthorization {} does not exist'.format(card_preauthorization.id))  
  ```

  ```csharp .NET  theme={null}
  using MangoPay.SDK;
  using Newtonsoft.Json;

  class Program
  {
      static async Task Main(string[] args)
      {
          MangoPayApi api = new MangoPayApi();

          api.Config.ClientId = "your-client-id";
          api.Config.ClientPassword = "your-api-key";

          var preauthorizationId = "preauth_m_01J30NHM7E0TQ9W5NRQ964W7WF";
          
          var viewPreauthorization = await api.CardPreAuthorizations.GetAsync(preauthorizationId);

          string prettyPrint = JsonConvert.SerializeObject(viewPreauthorization, Formatting.Indented);
          Console.WriteLine(prettyPrint);
      }
  }
  ```
</RequestExample>
